Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025162
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-11-15 01:402013-12-19 12:30
ReporterjonalegriaesarteView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revisionbd2288f21d2b
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025162: Roles permissions are not working correectly

DescriptionRoles' permission are not working correctly (at least for fields that are in status bar). When a role has editable permission to a tab that has a field in
status bar, that field can be updated in grid view when you shouldn't be able to do it.
Steps To ReproduceLogin as 'F&B Internacional Group Admin'
Go to Roles window.
Selected 'F&B Internacional Group Admin' and go to Window access
Select 'Sales Order' window and go to Tab Access
Insert new record:
TAB: 'Header'
EDITABLE FIELDS: true
ACTIVE: true

Log out and log in.
Go to 'Sales Order' window and try to edit one record in grid view. Notice that you are able to change the value of the status field.


If one field is readonly, even though an edit permisson are given to that field, you should never be able to edit it.
TagsNo tags attached.
Attached Filesdiff file icon FixIssue25162.diff [^] (1,491 bytes) 2013-12-03 07:08 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062497)
shankarb (developer)
2013-12-03 07:05

Issue fixed. Will be pushed in mp31
(0062537)
hgbot (developer)
2013-12-05 06:46

Repository: erp/devel/pi
Changeset: bd2288f21d2bf06aaa8930bae12aad39bc1d8956
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Dec 03 11:37:56 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/bd2288f21d2bf06aaa8930bae12aad39bc1d8956 [^]

Fixes Issue 0025162: Roles permissions are not working correctly

Checked whether the field is readOnly or shownInStatus bar before providing access to the field in case tab access is provided.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowSettingsActionHandler.java
---
(0062783)
AugustoMauch (developer)
2013-12-18 14:14

Code reviewed and verified in pi@469ba15fbba3
(0062823)
hudsonbot (developer)
2013-12-19 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-15 01:40 jonalegriaesarte New Issue
2013-11-15 01:40 jonalegriaesarte Assigned To => AugustoMauch
2013-11-15 01:40 jonalegriaesarte Modules => Core
2013-11-15 01:40 jonalegriaesarte Triggers an Emergency Pack => No
2013-12-03 07:05 shankarb Assigned To AugustoMauch => shankarb
2013-12-03 07:05 shankarb Status new => scheduled
2013-12-03 07:05 shankarb Note Added: 0062497
2013-12-03 07:05 shankarb fix_in_branch => pi
2013-12-03 07:08 shankarb File Added: FixIssue25162.diff
2013-12-05 06:43 shankarb Issue Monitored: AugustoMauch
2013-12-05 06:45 shankarb Review Assigned To => AugustoMauch
2013-12-05 06:45 shankarb fix_in_branch pi =>
2013-12-05 06:46 hgbot Checkin
2013-12-05 06:46 hgbot Note Added: 0062537
2013-12-05 06:46 hgbot Status scheduled => resolved
2013-12-05 06:46 hgbot Resolution open => fixed
2013-12-05 06:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bd2288f21d2bf06aaa8930bae12aad39bc1d8956 [^]
2013-12-18 14:14 AugustoMauch Note Added: 0062783
2013-12-18 14:14 AugustoMauch Status resolved => closed
2013-12-18 14:14 AugustoMauch Fixed in Version => 3.0MP31
2013-12-19 12:30 hudsonbot Checkin
2013-12-19 12:30 hudsonbot Note Added: 0062823


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker